
// 看门狗
// 杭州秒寻科技有限公司
// 周涛
// 2024-12-12

#include "includes.h"

// 模块初始化
// byPrescaler:分频系数（把32kHz分频）
// wReloadValue:装载寄存器值
void driver_iwdg_init(uint8 byPrescaler, uint16 wReloadValue)
{
    // 取消写保护
    IWDG_WriteAccessCmd(IWDG_WriteAccess_Enable);

    // 设置预分频系数
    IWDG_SetPrescaler(byPrescaler);

    // 设置重装载值
    IWDG_SetReload(wReloadValue);
    IWDG_ReloadCounter(); // 第一次喂狗，以便将wReloadValue加载到寄存器中

    // 使能看门狗
    IWDG_Enable();

    return;
}

// 喂狗
void driver_iwdg_feed_dog()
{
    IWDG_ReloadCounter();
}
